Bug 13579 - History file should be open using utf-8 encoding
Summary: History file should be open using utf-8 encoding
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11944 13596
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-14 12:48 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13579: Open history.txt using utf-8 encoding (742 bytes, patch)
2015-01-14 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13579: Open history.txt using utf-8 encoding (812 bytes, patch)
2015-01-14 12:57 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13579: Open history.txt using utf-8 encoding (939 bytes, patch)
2015-01-14 13:02 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 13579: (regression tests) Encoding issues on about > timeline get tested (3.17 KB, patch)
2015-01-14 14:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13579: (regression tests) Encoding issues on about > timeline get tested (3.23 KB, patch)
2015-01-14 15:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13579: Prefer like instead of ok to match a regex (1.27 KB, patch)
2015-01-14 15:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-01-14 12:48:29 UTC

    
Comment 1 Jonathan Druart 2015-01-14 12:49:34 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2015-01-14 12:57:36 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2015-01-14 13:02:35 UTC
Created attachment 35186 [details] [review]
Bug 13579: Open history.txt using utf-8 encoding

Test plan:
Verify about>Timeline is correctly encoded

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Replaced <encoding by <:encoding.
Comment 4 Tomás Cohen Arazi 2015-01-14 14:49:07 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-01-14 15:11:18 UTC
Created attachment 35209 [details] [review]
Bug 13579: (regression tests) Encoding issues on about > timeline get tested

This patch introduces two tests for encoding issues on about > timeline

To test:
- Apply the patch and run
  $ KOHA_USER=kohaadmin KOHA_PASS=katikoan KOHA_INTRANET_URL=http://koha-dev.biblioadmin prove t/db_dependent/www/history.t
  (adjust to your own settings, the user needs to have access to the about page)

Regards

Signed-off-by: Manuel Cohen Arazi <manuelcohenarazi@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jonathan Druart 2015-01-14 15:11:22 UTC
Created attachment 35210 [details] [review]
Bug 13579: Prefer like instead of ok to match a regex

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Tomás Cohen Arazi 2015-01-14 15:45:04 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 8 Chris Cormack 2015-01-18 02:01:21 UTC
Pushed to 3.18.x will be in 3.18.3